[![Build Status](https://drone.caret.be/api/badges/jens/ansible-role-drone/status.svg)](https://drone.caret.be/jens/ansible-role-drone)

ansible-role-drone
=========

This role installs drone without docker

Requirements
------------

This role requires a database server to to be present where drone can connect to

Role Variables
--------------


- drone_postgress_user: default "{{ inventory_hostname}}"
- drone_postgress_db: default "{{ inventory_hostname}}"
- drone_server_host: url where drone will be reachable
- drone_rpc_secret:  something secret
- drone_integration: 'gitea'
- drone_gitea_server: url to gitea server
- drone_gitea_client_id: client id for gitea oauth application
- drone_gitea_client_secret:  client secret for gitea oauth application
- drone_posgress_data_dir: "/run/postgresql/"
- drone_user_filter: ""
- drone_version: "v1.10.1"

Dependencies
------------
None

Example Playbook
----------------

```yaml
- name: "Install drone"
  hosts: drone
  roles:
      - ansible-role-drone
  vars:
      - drone_gitea_server: "https://gitea.example.com"
      - drone_server_host: 'drone.example.com'
      - drone_rpc_host: 'localhost:8080'
      - drone_rpc_proto: 'http'
      - drone_rpc_secret: 'secret'
      - drone_integration: 'gitea'
      - drone_gitea_client_id: client_id
      - drone_gitea_client_secret: client_secret
      - drone_posgress_data_dir: "/run/postgresql/"
      - drone_user_filter: "jens"

```

License
-------

GPL-v3

Author Information
------------------

Jens (gitea.caret.be)
